org.apache.lucene.index

## Class AssertingLeafReader.AssertingSortedSetDocValues

- java.lang.Object
- - org.apache.lucene.search.DocIdSetIterator
  - - org.apache.lucene.index.SortedSetDocValues
    - - org.apache.lucene.index.AssertingLeafReader.AssertingSortedSetDocValues

- Enclosing class:
    AssertingLeafReader

      public static class AssertingLeafReader.AssertingSortedSetDocValues
      extends SortedSetDocValues

  Wraps a SortedSetDocValues but with additional asserts

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.index.SortedSetDocValues

      `NO_MORE_ORDS`

    - ### Fields inherited from class org.apache.lucene.search.DocIdSetIterator

      `NO_MORE_DOCS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssertingSortedSetDocValues(SortedSetDocValues in, int maxDoc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `advance(int target)`
    `boolean` | `advanceExact(int target)`
    `long` | `cost()`
    `int` | `docID()`
    `long` | `getValueCount()`
    `BytesRef` | `lookupOrd(long ord)`
    `long` | `lookupTerm(BytesRef key)`
    `int` | `nextDoc()`
    `long` | `nextOrd()`

    - ### Methods inherited from class org.apache.lucene.index.SortedSetDocValues

      `intersect, termsEnum`

    - ### Methods inherited from class org.apache.lucene.search.DocIdSetIterator

      `all, empty, range, slowAdvance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssertingSortedSetDocValues

          public AssertingSortedSetDocValues(SortedSetDocValues in,
                                             int maxDoc)

  - ### Method Detail

    - #### docID

          public int docID()

      Specified by:
        `docID` in class `DocIdSetIterator`

    - #### nextDoc

          public int nextDoc()
                      throws IOException

      Specified by:
        `nextDoc` in class `DocIdSetIterator`
      Throws:
        `IOException`

    - #### advance

          public int advance(int target)
                      throws IOException

      Specified by:
        `advance` in class `DocIdSetIterator`
      Throws:
        `IOException`

    - #### advanceExact

          public boolean advanceExact(int target)
                               throws IOException

      Throws:
        `IOException`

    - #### cost

          public long cost()

      Specified by:
        `cost` in class `DocIdSetIterator`

    - #### nextOrd

          public long nextOrd()
                       throws IOException

      Specified by:
        `nextOrd` in class `SortedSetDocValues`
      Throws:
        `IOException`

    - #### lookupOrd

          public BytesRef lookupOrd(long ord)
                             throws IOException

      Specified by:
        `lookupOrd` in class `SortedSetDocValues`
      Throws:
        `IOException`

    - #### getValueCount

          public long getValueCount()

      Specified by:
        `getValueCount` in class `SortedSetDocValues`

    - #### lookupTerm

          public long lookupTerm(BytesRef key)
                          throws IOException

      Overrides:
        `lookupTerm` in class `SortedSetDocValues`
      Throws:
        `IOException`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.